> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/pipeline/pipelines/initialize-a-pipeline-with-provided-components-the-links-for-all-components-have-to-be-determined-by-the-caller/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Initialize a pipeline with provided components. The links for all components have to be determined by the caller. POST https://api.mezmo.com/v3/pipeline/with-linked-components Content-Type: application/json Populates and publishes a new pipeline as specified. Reference: https://mezmo.ferndocs.com/api-reference/pipeline/pipelines/initialize-a-pipeline-with-provided-components-the-links-for-all-components-have-to-be-determined-by-the-caller ## Authentication - `Authorization` header (required) (prefixed with ` Token `) — Header authentication of the form `Token ` ## Request ### Body (application/json) This endpoint expects an object. - `sources` (list of PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaSourcesItems, required) - `transforms` (list of PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaTransformsItems, required) - `sinks` (list of PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaSinksItems, required) - `origin` (enum, optional, default: system) - Allowed values: `ui`, `system` - `pipeline` (PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaPipeline, optional, nullable) ## Response ### 200 Default Response ## Types ### PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaSourcesItems - `id` (string, required) - `user_config` (PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaSourcesItemsUserConfig, required) - `title` (string, optional, nullable) - `description` (string, optional, nullable) - `type` (enum, optional) - Allowed values: `http`, `splunk-hec`, `s3`, `sqs`, `demo-logs`, `kinesis-firehose`, `fluent`, `log-analysis`, `log-analysis-ingestion`, `logstash`, `mezmo-agent`, `mezmo-datadog-source`, `pipeline-data-restoration`, `webhook`, `kafka`, `azure-event-hub`, `prometheus-remote-write`, `open-telemetry-metrics`, `open-telemetry-logs`, `open-telemetry-traces` ### PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaTransformsItems - `id` (string, required) - `inputs` (list of string, required) - `user_config` (PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaTransformsItemsUserConfig, required) - `title` (string, optional, nullable) - `description` (string, optional, nullable) - `type` (enum, optional) - Allowed values: `filter`, `sample`, `drop-fields`, `parse`, `parse-sequentially`, `route`, `stringify`, `compact-fields`, `flatten-fields`, `dedupe`, `encrypt-fields`, `decrypt-fields`, `js-script`, `unroll`, `vrl`, `reduce`, `map-fields`, `metrics-tag-cardinality-limit`, `aggregate`, `event-to-metric`, `clustering`, `redact`, `throttle`, `set-timestamp`, `data-profiler`, `replace`, `trace-sampling` ### PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaSinksItems - `inputs` (list of string, required) - `user_config` (PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaSinksItemsUserConfig, required) - `title` (string, optional, nullable) - `description` (string, optional, nullable) - `type` (enum, optional) - Allowed values: `mezmo`, `mezmo-archive`, `http`, `cloudwatch-logs`, `cloudwatch-metrics`, `sqs`, `notification-channel`, `azure-blob-storage`, `kinesis-firehose`, `kinesis-streams`, `elasticsearch`, `gcp-cloud-monitoring`, `gcp-cloud-storage`, `gcp-cloud-operations`, `gcp-cloud-pubsub`, `honeycomb-logs`, `indexed-search`, `kafka`, `loki`, `new-relic`, `prometheus-remote-write`, `pulsar`, `redis`, `splunk-hec-logs`, `sumo-logic-logs`, `sumo-logic-metrics`, `vector`, `s3`, `blackhole`, `datadog-logs`, `datadog-metrics`, `clickhouse`, `opentelemetry` ### PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaPipeline - `id` (string, optional) - `title` (string, optional, nullable) ### PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaSourcesItemsUserConfig ### PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaTransformsItemsUserConfig ### PipelineWithLinkedComponentsPostRequestBodyContentApplicationJsonSchemaSinksItemsUserConfig ## Examples **Request** ```json { "sources": [ { "id": "string", "user_config": {} } ], "transforms": [ { "id": "string", "inputs": [ "string" ], "user_config": {} } ], "sinks": [ { "inputs": [ "string" ], "user_config": {} } ] } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v3/pipeline/with-linked-components" payload = { "sources": [ { "id": "string", "user_config": {} } ], "transforms": [ { "id": "string", "inputs": ["string"], "user_config": {} } ], "sinks": [ { "inputs": ["string"], "user_config": {} } ] } headers = { "Authorization": "Token ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v3/pipeline/with-linked-components'; const options = { method: 'POST', headers: { Authorization: 'Token ', 'Content-Type': 'application/json' }, body: '{"sources":[{"id":"string","user_config":{}}],"transforms":[{"id":"string","inputs":["string"],"user_config":{}}],"sinks":[{"inputs":["string"],"user_config":{}}]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v3/pipeline/with-linked-components" payload := strings.NewReader("{\n \"sources\": [\n {\n \"id\": \"string\",\n \"user_config\": {}\n }\n ],\n \"transforms\": [\n {\n \"id\": \"string\",\n \"inputs\": [\n \"string\"\n ],\n \"user_config\": {}\n }\n ],\n \"sinks\": [\n {\n \"inputs\": [\n \"string\"\n ],\n \"user_config\": {}\n }\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Token ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v3/pipeline/with-linked-components") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Token ' request["Content-Type"] = 'application/json' request.body = "{\n \"sources\": [\n {\n \"id\": \"string\",\n \"user_config\": {}\n }\n ],\n \"transforms\": [\n {\n \"id\": \"string\",\n \"inputs\": [\n \"string\"\n ],\n \"user_config\": {}\n }\n ],\n \"sinks\": [\n {\n \"inputs\": [\n \"string\"\n ],\n \"user_config\": {}\n }\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mezmo.com/v3/pipeline/with-linked-components") .header("Authorization", "Token ") .header("Content-Type", "application/json") .body("{\n \"sources\": [\n {\n \"id\": \"string\",\n \"user_config\": {}\n }\n ],\n \"transforms\": [\n {\n \"id\": \"string\",\n \"inputs\": [\n \"string\"\n ],\n \"user_config\": {}\n }\n ],\n \"sinks\": [\n {\n \"inputs\": [\n \"string\"\n ],\n \"user_config\": {}\n }\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.mezmo.com/v3/pipeline/with-linked-components', [ 'body' => '{ "sources": [ { "id": "string", "user_config": {} } ], "transforms": [ { "id": "string", "inputs": [ "string" ], "user_config": {} } ], "sinks": [ { "inputs": [ "string" ], "user_config": {} } ] }', 'headers' => [ 'Authorization' => 'Token ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v3/pipeline/with-linked-components"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Token "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"sources\": [\n {\n \"id\": \"string\",\n \"user_config\": {}\n }\n ],\n \"transforms\": [\n {\n \"id\": \"string\",\n \"inputs\": [\n \"string\"\n ],\n \"user_config\": {}\n }\n ],\n \"sinks\": [\n {\n \"inputs\": [\n \"string\"\n ],\n \"user_config\": {}\n }\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Token ", "Content-Type": "application/json" ] let parameters = [ "sources": [ [ "id": "string", "user_config": [] ] ], "transforms": [ [ "id": "string", "inputs": ["string"], "user_config": [] ] ], "sinks": [ [ "inputs": ["string"], "user_config": [] ] ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/pipeline/with-linked-components")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```